//+------------------------------------------------------------------+
//|                                                    Maxima88x.mq4 |
//|                                                     TAR Software |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "TAR Software"

extern string g = "===Enter your CHART GMT offset===";
extern string h = "===Will calculate GMT hour as ChartHour+GMTOffset===";
extern int GMTOffset = -1;
extern string w = "===Of the following two sections, ONE must be changed===";
extern string a = "===Change these vars if you want to specify prices===";
extern string c = "===Leave if you change the next section===";
extern double SellStopPrice = 0;
extern double BuyStopPrice = 0;
extern string b = "===Change to calculate the opening prices x points away from current===";
extern string y = "===Leave if you change the previous section===";
extern int SellStopPoints = 0;
extern int BuyStopPoints = 0;
extern string d = "===Set stop loss/take profit in points===";
extern int StopLossPoints = 0;
extern int TakeProfitPoints = 0;
extern string j = "===Number of lots to open===";
extern double Lots = 0.1;
extern string z = "===Use automatic risk percentage lot adjustment===";
extern bool AutoLot = false;
extern double EquityRiskPercentage = 0.01;

int OpenSell = -1;
int OpenBuy = -1;
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
{
   
   datetime time = iTime(NULL,PERIOD_H1,0);
   if (TimeHour(time)==18+GMTOffset) //all pendings should be filled or expired by now...
   {                       //let's clear the holding flags
      OpenSell = -1;
      OpenBuy = -1;
   }
   if (OpenSell == -1 && TimeHour(time)==7+GMTOffset)
   {
      if (BuyStopPoints!=0 && BuyStopPrice!=0)
      { 
         Alert("You have specified both a pending price and a pending distance.");
         Alert("Please check the instructions again and reinitialize the EA.");
         OpenSell = 5; //will prevent this block from executing again until the next day
         return(0);
      }
      if (BuyStopPoints==0 && BuyStopPrice==0)
      { 
         Alert("You have specified neither a pending price nor a pending distance.");
         Alert("Please check the instructions again and reinitialize the EA.");
         OpenSell = 5; //will prevent this block from executing again until the next day
         return(0);
      }
      //no open pendings and it's time!
      //calculate buy stop and sell stop
      if (BuyStopPoints!=0)
      {
         BuyStopPrice = Bid+BuyStopPoints*Point;
      }
      if (SellStopPoints!=0)
      {
         SellStopPrice = Ask+SellStopPoints*Point;
      }
      
      //calculate lots
      double spread = Ask-Bid;
      if (AutoLot && EquityRiskPercentage < 1 && EquityRiskPercentage > 0)
      {
         Lots = (AccountEquity()*EquityRiskPercentage)/StopLossPoints;
      }
      OpenBuy = OrderSend(Symbol(),OP_BUYSTOP,Lots,BuyStopPrice+spread,3,BuyStopPrice-StopLossPoints*Point+spread
                                    ,BuyStopPrice+TakeProfitPoints*Point+spread,"woohoo",8675309,
                                    time+3600*11,Green);
      OpenSell = OrderSend(Symbol(),OP_SELLSTOP,Lots,SellStopPrice,3,SellStopPrice+StopLossPoints*Point-spread,
                                    SellStopPrice-TakeProfitPoints*Point-spread,"woohooooo",8675309,
                                    time+3600*11,Green);                       
   }
   return(0);
}
//+------------------------------------------------------------------+